<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.2 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */
class NotificationsConfig extends AbstractConfigData
  {
    const ITEMS_PER_PAGE = 'items_per_page';
    const DEL_NOTIF_AFTER_VIEW = "del_notif_after_view";
    const ARCHIVAGE_AUTO = "archivage_auto";
    
    //Renvoie le nom de votre module
    public function get_name()
      {
        //Retourne la valeur contenue dans le tableau de la configuration avec comme clé = name
        return $this->get_property('name');
      }
    
    //Modifie le nom de votre module
    public function set_name($name)
      {
        // Modifie la configuration avec comme clé = name
        $this->set_property('name', $name);
      }
    
    /**
     * @method Get items per page
     */
    public function get_items_per_page()
      {
        return $this->get_property(self::ITEMS_PER_PAGE);
      }
    
    /**
     * @method Set items per page
     * @params int $value Number of items to display per page
     */
    public function set_items_per_page($value)
      {
        $this->set_property(self::ITEMS_PER_PAGE, $value);
      }
    
    /**
     * [get_notif_after_view Récupère "Si on dois supprimer les notifications automatiquement après la vue"]
     */
    public function get_del_notif_after_view()
      {
        return $this->get_property(self::DEL_NOTIF_AFTER_VIEW);
      }
    
    /**
     * [set_del_notif_after_view Applique un true ou false si on dois supprimer les notifications automatiquement après les avoir vus]
     * @param [type] $value [description]
     */
    public function set_del_notif_after_view($value)
      {
        $this->set_property(self::DEL_NOTIF_AFTER_VIEW, $value);
      }
    
    public function get_archivage_auto()
      {
        return $this->get_property(self::ARCHIVAGE_AUTO);
      }
    
    public function set_archivage_auto($value)
      {
        $this->set_property(self::ARCHIVAGE_AUTO, $value);
      }
    
    public function get_default_values()
      {
        // Tableau de la configuration par défaut
        return array(
            self::ITEMS_PER_PAGE => 20,
            self::DEL_NOTIF_AFTER_VIEW => FALSE,
            self::ARCHIVAGE_AUTO => FALSE,
            'name' => 'Notifications'
            
        );
      }
    
    /**
     * Returns the configuration.
     * @return NotificationsConfig
     */
    public static function load()
      {
        return ConfigManager::load(__CLASS__, 'notifications', 'config');
      }
    
    /**
     * Saves the configuration in the database. Has it become persistent.
     */
    public static function save()
      {
        ConfigManager::save('notifications', self::load(), 'config');
      }
  }
?>