<?php
/**
 * @copyright   &copy; 2005-2019 PHPBoost
 * @license     https://www.gnu.org/licenses/gpl-3.0.html GNU/GPL-3.0
 * @author      Kévin BRISSEZ <brissez.kevin@gmail.com>
 * @version     PHPBoost 5.2 - last update: 2019 11 01
 * @since       PHPBoost 5.0 - 2019 07 01
 */
class Notifications
  {
    private $id;
    private $sender_id;
    private $recipient_id;
    private $content;
    private $date;
    private $reading;
    
    public function set_id($value)
      {
        $this->id = $value;
      }
    
    public function get_id()
      {
        return $this->id;
      }
    
    /**
     * [set_sender_id Applique l'ID du membre qui envoi la notification]
     * @param [int] $value [ID du membre]
     */
    
    public function set_sender_id($value)
      {
        $this->sender_id = $value;
      }
    
    public function get_sender_id()
      {
        return $this->sender_id;
      }
    
    /**
     * [set_recipient_id Applique l'id du membre qui reçois la notification]
     * @param [int] $value [ID du membre]
     */
    public function set_recipient_id($value)
      {
        $this->recipient_id = $value;
      }
    
    public function get_recipient_id()
      {
        return $this->recipient_id;
      }
    
    /**
     * [set_content Applique le contenu de la notification]
     * @param [string] $value [Contenu de la notification]
     */
    public function set_content($value)
      {
        $this->content = $value;
      }
    
    public function get_content()
      {
        return $this->content;
      }
    
    /**
     * [set_date Applique la date de la notification]
     * @param [int] $date [Fonction time()]
     */
    public function set_date($date)
      {
        $this->date = $date;
      }
    
    public function get_date()
      {
        return $this->date;
      }
    
    /**
     * [set_reading Applique la lecture de la notification]
     * @param [int] $value [1 = Lu 0 = Non lu]
     */
    public function set_reading($value)
      {
        $this->reading = $value;
      }
    
    public function get_reading()
      {
        return $this->reading;
      }
    
    public function get_properties()
      {
        return array(
            'id' => $this->get_id(),
            'sender_id' => $this->get_sender_id(),
            'recipient_id' => $this->get_recipient_id(),
            'content' => $this->get_content(),
            'date' => $this->get_date(),
            'reading' => $this->get_reading()
        );
      }
    
    public function set_properties(array $properties)
      {
        $this->id           = $properties['id'];
        $this->sender_id    = $properties['sender_id'];
        $this->recipient_id = $properties['recipient_id'];
        $this->content      = $properties['content'];
        $this->date         = time();
        $this->reading      = $properties['reading'];
      }
    
    public function init_default_properties()
      {
        
        $this->date = time();
      }
    
    /**
     * [add Permet d'ajouter une notification]
     * @param Notifications $notification [Données de la notifications]
     */
    public static function add_notification(Notifications $notification)
      {
        NotificationsService::add($notification);
      }
    
    
  }
?>